<?php
class Inventario_models extends CI_Model 
{ 
   public function __construct()
    {
        parent::__construct();
    }
 

 //Consulta que hace la busqueda de la franquicia a la que pertenece el usuario logueado 
 public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
     if ($query->num_rows() > 0) { 
     foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto ORDER BY NombreTipoProducto ASC '); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

    public function buscarporTipo($query) {

        $data['Franquicias']=$this->inventario_models->BuscarFranquicia();
        foreach ($data['Franquicias'] as $i => $Franquicias) 
            if($query != '-100'){
                $this->db->select('*');
                $this->db->join('productosgenerales','productosGenerales_IdProductosGenerales = IdProductosGenerales','inner');
                $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
                $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
                $this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
                $this->db->where('TipoProducto_IdTipoProducto', $query);
                $this->db->where('Franquicias_IdFranquicias', $i);
                //Valida que se haya hecho la consulta
                $query = $this->db->get('productosfranquicias');

                return $query;
            }
            else 
            {
                $this->db->select('*');
                $this->db->join('productosgenerales','productosGenerales_IdProductosGenerales = IdProductosGenerales','inner');
                $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
                $this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
                $this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
                $this->db->where('Franquicias_IdFranquicias', $i);
                //Valida que se haya hecho la consulta
                $query = $this->db->get('productosfranquicias');

                return $query;
            }
    }
    public function actualizar($id, $piezas){
        $this->db->set('PiezasTotales', $piezas);
        $this->db->where('IdProductosFranquicias', $id);        
        $this->db->update('productosfranquicias');
        $res=$this->db->affected_rows();
        if ($res > 0) { 
            echo json_encode('correcto');
         }else{
            echo json_encode('incorrecto');
         }
    }



}